Smart Proxy - Bug #13427

Progname not defined for SYSLOG logger
01/28/2016 03:21 AM - Lukas Zapletal

Status: Closed
Priority: High
Assignee: Lukas Zapletal
Category: Core
Target version: 1.11.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1313860 Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/370
Description

According to Ruby API (http:/ruby-doc.org/stdlib-2.1.0/libdoc/logger/rdoc/Logger.html#method-i-add) if both message and block are
missing, progname should be treated as the message. The code in log decorator (buffer) has a bug that was working incorrectly. This
shows up if there is SYSLOG logger configured and an error occurs:

/usr/share/foreman-proxy/lib/proxy/log_buffer/decorator.rb:19:in ‘add': undefined method 'progname

' for #<Syslog::Logger:0x0000000204a8b0>

(NoMethodError)

from /usr/share/foreman-proxy/lib/proxy/log_buffer/decorator.rb:50:in ‘error'

from /usr/share/foreman-proxy/lib/launcher.rb:135:in “rescue in launch'
from /usr/share/foreman-proxy/lib/launcher.rb:110:in "~ launch'

from bin/smart-proxy:6:in "~ <main>'

Associated revisions

Revision a838204e - 02/24/2016 06:57 AM - Lukas Zapletal
Fixes #13427 - fixed log buffer with SYSLOG

History

#1 - 01/28/2016 03:24 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/370 added

#2 - 02/23/2016 07:24 AM - Lukas Zapletal

- translation missing: en.field_release set to 71

| need this to be included in the 1.11 release, discovery image does not work without this patch. Thanks!

#3 - 02/24/2016 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a838204ef2e21b9c3e89db84894b35a7af059d18.

#4 - 03/02/2016 08:17 AM - Lukas Zapletal
- Bugzilla link set to 1313860
